Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type DoubleRangeFieldValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface DoubleRangeFieldValidator

This validator checks that a double field has a value within a specified range. If neither min nor max is set, nothing will be done.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
minInclusive | no |  | Double property. The inclusive minimum the number must be.
maxInclusive | no |  | Double property. The inclusive maximum number can be.
minExclusive | no |  | Double property. The exclusive minimum the number must be.
maxExclusive | no |  | Double property. The exclusive maximum number can be.

If neither min nor max is set, nothing will be done.

The values for min and max must be inserted as String values so that "0" can be handled as a possible value.

Example code:

     @DoubleRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, minInclusive = "0.123", maxInclusive = "99.987")

Version:
  $Id: DoubleRangeFieldValidator.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Optional Element Summary
`java.lang.String` | `fieldName` The optional fieldName for SIMPLE validator types.
`java.lang.String` | `key` The message key to lookup for i18n.
`java.lang.String` | `maxExclusive` Double property.
`java.lang.String` | `maxInclusive` Double property.
`java.lang.String` | `message` The default error message for this validator.
`java.lang.String` | `minExclusive` Double property.
`java.lang.String` | `minInclusive` Double property.
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
`ValidatorType` | `type` The validation type for this field/method.

### minInclusive

    public abstract java.lang.String minInclusive

  Double property. The inclusive minimum the number must be.

  Default:
    ""

### maxInclusive

    public abstract java.lang.String maxInclusive

  Double property. The inclusive minimum the number must be.

  Default:
    ""

### minExclusive

    public abstract java.lang.String minExclusive

  Double property. The exclusive maximum number can be.

  Default:
    ""

### maxExclusive

    public abstract java.lang.String maxExclusive

  Double property. The exclusive maximum number can be.

  Default:
    ""

### message

    public abstract java.lang.String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract java.lang.String key

  The message key to lookup for i18n.

  Default:
    ""

### fieldName

    public abstract java.lang.String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

### type

    public abstract ValidatorType type

  The validation type for this field/method.

  Default:
    com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.